<button mat-button (click)="openDialog('nuevo',null)">Nuevo</button>
<br>

<table mat-table [dataSource]="listaArticulos" class="mat-elevation-z8">

  <!-- Position Column -->
  <ng-container matColumnDef="idArticulo">
    <th mat-header-cell *matHeaderCellDef> No. </th>
    <td mat-cell *matCellDef="let element"> {{element.idArticulo}} </td>
  </ng-container>

  <!-- Name Column -->
  <ng-container matColumnDef="nombre">
    <th mat-header-cell *matHeaderCellDef> nombre </th>
    <td mat-cell *matCellDef="let element"> {{element.nombre}} </td>
  </ng-container>

  <!-- Weight Column -->
  <ng-container matColumnDef="precio">
    <th mat-header-cell *matHeaderCellDef> precio </th>
    <td mat-cell *matCellDef="let element"> {{element.precio}} </td>
  </ng-container>

  <!-- Weight Column -->
  <ng-container matColumnDef="costo">
    <th mat-header-cell *matHeaderCellDef> costo </th>
    <td mat-cell *matCellDef="let element"> {{element.costo}} </td>
  </ng-container>

  <!-- Symbol Column -->
  <ng-container matColumnDef="fecha">
    <th mat-header-cell *matHeaderCellDef> fecha </th>
    <td mat-cell *matCellDef="let element"> {{element.fecha}} </td>
  </ng-container>

  <ng-container matColumnDef="descripcion">
    <th mat-header-cell *matHeaderCellDef> descripcion </th>
    <td mat-cell *matCellDef="let element"> {{element.descripcion}} </td>
  </ng-container>

  <ng-container matColumnDef="actions">
    <th mat-header-cell *matHeaderCellDef> actions </th>
    <mat-cell *matCellDef="let element">
      <button mat-icon-button matTooltip="Click to Edit" class="iconbutton" color="primary"
        (click)="openDialog('ver',element)">
        <mat-icon aria-label="Ver">view_agenda</mat-icon>
      </button>
      <button mat-icon-button matTooltip="Click to Edit" class="iconbutton" color="primary"
        (click)="openDialog('editar',element)">
        <mat-icon aria-label="Edit">edit</mat-icon>
      </button>
      <button mat-icon-button matTooltip="Click to Delete" class="iconbutton" color="warn"
        (click)="eliminarArticulo(element)">
        <mat-icon aria-label="Delete">delete</mat-icon>
      </button>
    </mat-cell>
  </ng-container>

  <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
  <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>

</table>

<!-- <button (click)="cearPagina()">Nuevo Producto</button> -->
<mat-paginator [length]="tElements" [pageSize]="rp" [pageSizeOptions]="pageSizeOptions" (page)="handlePages($event)"
  aria-label="Select page">
</mat-paginator>
